Bug 200551

Summary: Review Request: cachefilesd
Product: [Fedora] Fedora Reporter: Steve Dickson <steved>
Component: Package ReviewAssignee: David Cantrell <dcantrell>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: coughlan, dhowells, fedora-package-review, kevin
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-08-07 15:26:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 188268    

Description Steve Dickson 2006-07-28 12:34:18 EDT
Spec URL: 
http://people.redhat.com/steved/fscache/cachefilesd/0.3-2/cachefilesd.spec

SRPM URL:
http://people.redhat.com/steved/fscache/cachefilesd/0.3-2/cachefilesd-0.3-2.src.rpm

Description: 
The cachefilesd daemon manages the caching files and directory that are
that are used by network filesystems such a AFS and NFS to
do persistent caching to the local disk.
Comment 1 Jesse Keating 2006-07-28 12:49:14 EDT
NEEDSWORK:
- no URL tag
- Source0 should be a full URL if possible
- Missing BuildRequires, at least automake
- Requires(post): /usr/bin/chkconfig
- Requires(preun): /usr/bin/chkconfig
- Init scripts aren't often marked as config files...

Please fix up the missing build requires (test by 'brew build --scratch
--arch-override x86_64 dist-5E cachefilesd-0.3-2.src.rpm' and 'brew watch-logs
<failedtaskid>) and I'll build and run rpmlint on it.
Comment 2 Steve Dickson 2006-07-28 15:23:01 EDT
- no URL tag
- Source0 should be a full URL if possible
There is no upstream at this point so there is URL at 
the moment. I guess I could through things it on my people
pages if that would be ok...

- Missing BuildRequires, at least automake
- Requires(post): /usr/bin/chkconfig
- Requires(preun): /usr/bin/chkconfig
Done.

- Init scripts aren't often marked as config files...
The init script is in the tarball. So do I need to break
it out and create a file called cachefiles.init?

Please fix up the missing build requires (test by 'brew build --scratch
--arch-override x86_64 dist-5E cachefilesd-0.3-2.src.rpm' and 'brew watch-logs
<failedtaskid>)

Done... see taskID 138115
Comment 3 Jesse Keating 2006-07-31 14:42:18 EDT
er, the init script thing, just don't mark it as %config in the spec file.

Pointing to your people page is fine, or even just www.redhat.com since this is
a Red Hat project.

I'll await an updates .spec and .srpm.
Comment 4 Steve Dickson 2006-08-01 13:44:29 EDT
The following changes were made to the spec file and srpm in:
http://people.redhat.com/steved/fscache/cachefilesd/0.3-2

diff -r1.8 cachefilesd.spec
3c3
< Release:        2%{?dist}
---
> Release:        3%{?dist}
8c8
< Source0:        cachefilesd-0.3.tar.bz2
---
> Source0:       
http://people.redhat.com/dhowells/cachefilesd/cachefilesd-0.3.tar.bz2
71c71
< %config %{_sysconfdir}/rc.d/init.d/cachefilesd
---
> %{_sysconfdir}/rc.d/init.d/cachefilesd


Comment 7 Jesse Keating 2006-08-01 16:22:53 EDT
rpmlint is warning you that there is no standalone URL tag which might point to
a project page.

Your spec /srpm wasn't updated at your sight, but I'm applying the patches to it
by hand.

Hrm, somehow I missed this before:
there is no actual cleaning of rpmbuildroot in %clean, please fix that.

E: cachefilesd zero-length /usr/share/doc/cachefilesd-0.3/ChangeLog

And would it kill ya to add URL:  http://www.redhat.com

or something similar?

Comment 8 Steve Dickson 2006-08-01 16:35:00 EDT
err... http://people.redhat.com/steved/fscache/cachefilesd/0.3-3 has
the correct spec and srpm... 

adding a  http://www.redhat.com URL would be fine... 
Comment 9 Jesse Keating 2006-08-01 17:34:43 EDT
Still doesn't have the changes I mentioned above...
Comment 10 Steve Dickson 2006-08-01 21:54:02 EDT
Maded the following changed to the spec that can be found in
http://people.redhat.com/steved/fscache/cachefilesd/0.3-3

diff -r1.9 cachefilesd.spec
6a7,8
> URL:                          http://www.redhat.com
> 
56a59
> rm -rf $RPM_BUILD_ROOT
Comment 11 Jesse Keating 2006-08-02 11:40:05 EDT
Ok, with that this package is approved.

Will this need to be on comps somewhere, or would you be marking this as a dep
of some other package?
Comment 12 Steve Dickson 2006-08-03 09:30:33 EDT
No and no...

Comment 14 Jesse Keating 2006-08-04 08:44:35 EDT
I've added cachefilesd to dist-fc6 as owned by steved.  It is too late for
Test2, but if this is a blocker for RHEL5 B1 you can get it included there.

I'm a bit confused, if its not a Requires of something, nor in Comps anyplace,
how will a user actually install it?

Please close this bug when you've built it into dist-fc6.
Comment 15 Jesse Keating 2006-08-07 15:26:09 EDT
Built into dist-fc6, still has a question on why not in comps.
Comment 16 David Howells 2006-08-08 05:06:24 EDT
> I'm a bit confused, if its not a Requires of something, nor in Comps
> anyplace, how will a user actually install it?

That means we need to update the installer?
Comment 17 Tom Coughlan 2008-03-13 15:23:04 EDT
Package Change Request
======================
Package Name: cachefilesd
[New Branches: ]
[Updated Fedora Owners: ] dhowells@redhat.com
[Updated Fedora CC: ]
[Updated EPEL Owners: ]
[Updated EPEL CC: ]
[Updated Description: ]
[Updated Cvsextras Commits: ]
[add any required explanatory text here] David is the primary author. 
Comment 18 Kevin Fenzi 2008-03-13 19:57:34 EDT
Is steve ok with handing off the package maintaining? 

Is dhowells ok with taking over the package maintaining? 
I'd be happy to make the changes with their acks... 
or they can go to: 

https://admin.fedoraproject.org/pkgdb/packages/name/cachefilesd

and make the changes themselves.